Home

# Class goog.graphics.ext.Shape

Wrapper for a graphics shape element.

extends goog.graphics.ext.StrokeAndFillElement

Instance Method Summary
| `checkParentDependent() ⇒ boolean`
| `getPath() ⇒ ?goog.graphics.Path` Get the path drawn by this shape.
| `redraw()` Redraw the ellipse. Called when the coordinate system is changed.
| `scaleAndSetPath_()` Scale the internal path to fit.
| `setPath(?goog.graphics.ext.Path path)` Set the path to draw.